Subject: [bug#45629] [PATCH] gnu: Export xorg variables for startx.

From: 宋文武 <[email-masked]>
Date: Thu, 11 Feb 2021 17:36:06 +0800

John Soo <[email-masked]> writes:

> Hi Guix,
>
> I wanted to try using startx instead of a display manager.  I finally
> got it to work, but it required at very least these patches.  I also had
> to create a new service type but I think that it needs more work to be
> put in upstream.

Hello, I have added a 'xorg-server-service-type' for this usage.

It can be used with 'sx' (as a normal user), or 'xinit'.

For 'xinit', you need to create a '~/.xserverrc` file with:

  tty=$(tty)
  tty=${tty#/dev/tty}
  X vt${tty}

To use X in PATH and the current tty for rootless X server.

Do thoes patches still needed now?
Thank you!